View Issue Details

IDProjectCategoryView StatusLast Update
00228602.x IDE BugsUIPublic2018-09-06 17:18
ReporterLewis CrawfordAssigned ToClaire Hall 
PriorityMediumSeverityD - MinorReproducibility100%
Status ClosedResolutionFixed 
Product VersionPre-2.1.3 
Target Version2.1.4Fixed in Version2.2.0 
Summary0022860: UI: Using Tab to navigate through panels with a scrollbar does not auto-scroll when the tab focus goes off screen.
DescriptionWhen navigating through the elements of a panel whose contents are too large so it requires a scrollbar, you would expect that tabbing to elements that are off-screen would scroll the scrollbar down to make them visible. This does not occur, and you can tab into any of the off-screen elements without being able to see them

Examples of places that get a scrollbar:
* Image editor's layer panel when there are lots of layers
* DnD toolbox window (for scripts or objects)
* Room Editor's layer panel when there are lots of layers
* Room Editor's layer properties panel for most layer types
Steps To Reproduce1: Open GameMaker with a new project
2: Open the Room Editor for the default room
3: Select the background layer
4: Click on the header for the Layer Properties panel
5: Press Tab a few times until the focus goes off screen
6: Keep pressing tab, and note you are tabbing into elements you cannot see, and the scrollbar does not move down to make them visible.
TagsNo tags attached.
2.x IDE Found In0.0.1.169
2.x Runtime Found In0.0.1.38
2.x IDE Verified In2.2.0.333
2.x Runtime Verified In2.2.0.251

Activities

Lewis Crawford

2016-07-20 14:54

Updater  

Chris Harrison

2017-04-05 14:49

Developer   ~0052631

I think someone else should handle this.

Matthew McInnes

2018-09-06 17:18

Adminstrator   ~0061539

Closing. Verified as fixed in:

IDE v2.2.0.333 Runtime v2.2.0.251